<?php
function optionsframework_option_name() {

	// 从样式表获取主题名称
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );

	$optionsframework_settings = get_option( 'optionsframework' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'optionsframework', $optionsframework_settings );

}



function optionsframework_options() {


	// 如果使用图片单选按钮, define a directory path
	$imagepath =  get_template_directory_uri() . '/img/';

	$options = array();

	$options[] = array(
		'name' => __('基本设置', 'options_framework_theme'),
		'type' => 'heading');

	$options[] = array(
		'name' => "icon",
		'desc' => "最后一项是不显示图标",
		'id' => "icon",
		'std' => "xe60e",
		'type' => "images",
		'options' => array(
			'x343c' => $imagepath . 'x343c.jpg',
			'xe7c6' => $imagepath . 'xe7c6.jpg',
			'xe60e' => $imagepath . 'xe60e.jpg',
			'xe61b' => $imagepath . 'xe61b.jpg',
			'xe604' => $imagepath . 'xe604.jpg',
			'xe614' => $imagepath . 'xe614.jpg',
			'xe616' => $imagepath . 'xe616.jpg',
			'xe618' => $imagepath . 'xe618.jpg',
			'xe623' => $imagepath . 'xe623.jpg',
			'xe687' => $imagepath . 'xe687.jpg',
			'xe688' => $imagepath . 'xe688.jpg',
			'xe710' => $imagepath . 'xe710.jpg',
			'xe717' => $imagepath . 'xe717.jpg',
			'xf02fe' => $imagepath . 'xf02fe.jpg',
			'no' => $imagepath . '0.jpg',

			)
	);


	$options[] = array(
		'name' => __('标题', 'options_framework_theme'),
		'desc' => __('写下一个网站关闭的标题', 'options_framework_theme'),
		'id' => 'title',
		'std' => '网站维护',
		'type' => 'text');

	$options[] = array(
		'name' => __('详细内容', 'options_framework_theme'),
		'id' => 'text',
		'type' => 'editor',
		'settings' => $wp_editor_settings );

	$options[] = array(
		'name' => __('背景颜色', 'options_framework_theme'),
		'desc' => __('自定义背景颜色', 'options_framework_theme'),
		'id' => 'background',
		'std' => '#000000',
		'type' => 'color' );

	$options[] = array(
		'name' => __('文字颜色', 'options_framework_theme'),
		'desc' => __('自定义文字颜色', 'options_framework_theme'),
		'id' => 'color',
		'std' => '#ffffff',
		'type' => 'color' );

	$options[] = array(
		'name' => __('文本宽度', 'options_framework_theme'),
		'desc' => __('文本会包含在一个盒子里,并且会水平垂直居中,所以需要一个宽度(单位:像素)', 'options_framework_theme'),
		'id' => 'width',
		'std' => '500',
		'class' => 'mini',
		'type' => 'text');

	$options[] = array(
		'name' => __('SEO', 'options_framework_theme'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('启用禁止浏览器抓取', 'options_framework_theme'),
		'desc' => '勾选后,浏览器会不抓取你的网站,取消应用本主题后不会起作用',
		'id' => 'is_seo',
		'std' => '1',
		'type' => 'checkbox');

	$options[] = array(
		'name' => __('关键词', 'options_framework_theme'),
		'desc' => __('请用英文逗号分隔', 'options_framework_theme'),
		'id' => 'keywords',
		'std' => '衫小寨',
		'type' => 'text');

	$options[] = array(
		'name' => "网站描述",
		'desc' => "",
		'id' => "description",
		'std' => "衫小寨",
		'type' => 'textarea');

	$options[] = array(
		'name' => __('联系我们', 'options_framework_theme'),
		'type' => 'heading');



	$options[] = array(
		'name' => __('衫小寨', 'options_framework_theme'),
		'desc' => __('如果您在使用中出现什么问题或有什么好的建议欢迎来我们小寨 <a href="http://qzhai.top" target="_black">点击进入</a>', 'options_framework_theme'),
		'type' => 'info');
	return $options;
}